Package com.io7m.idstore.error_codes

# Class IdStandardErrorCodes

java.lang.Object
com.io7m.idstore.error_codes.IdStandardErrorCodes

public final class IdStandardErrorCodes extends Object
Standard error codes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IdErrorCode`
  `ADMIN_DUPLICATE`
  An attempt was made to create a admin that already exists.
  `static final IdErrorCode`
  `ADMIN_DUPLICATE_ID`
  An attempt was made to create a admin that already exists (ID conflict).
  `static final IdErrorCode`
  `ADMIN_DUPLICATE_ID_NAME`
  An attempt was made to create a admin that already exists (ID name conflict).
  `static final IdErrorCode`
  `ADMIN_NONEXISTENT`
  An attempt was made to reference a admin that does not exist.
  `static final IdErrorCode`
  `ADMIN_NOT_INITIAL`
  An attempt was made to create an initial admin in a database, but a admin already existed.
  `static final IdErrorCode`
  `ADMIN_OR_USER_UNSET`
  An attempt was made to perform an operation that requires an admin or user.
  `static final IdErrorCode`
  `ADMIN_UNSET`
  An attempt was made to perform an operation that requires an admin.
  `static final IdErrorCode`
  `API_MISUSE_ERROR`
  An API is being called incorrectly.
  `static final IdErrorCode`
  `AUTHENTICATION_ERROR`
  Authenticating a user or admin failed.
  `static final IdErrorCode`
  `BANNED`
  A user or admin is banned.
  `static final IdErrorCode`
  `CLOSED_FOR_MAINTENANCE`
  The server is closed for maintenance.
  `static final IdErrorCode`
  `EMAIL_DUPLICATE`
  An attempt was made to create a user/admin that already exists (Email conflict).
  `static final IdErrorCode`
  `EMAIL_NONEXISTENT`
  An attempt was made to reference an email that does not exist.
  `static final IdErrorCode`
  `EMAIL_ONE_REQUIRED`
  An attempt was made to remove the last email address from a user.
  `static final IdErrorCode`
  `EMAIL_VERIFICATION_DUPLICATE`
  An attempt was made to create a email verification token that already exists.
  `static final IdErrorCode`
  `EMAIL_VERIFICATION_FAILED`
  An email verification failed for any reason.
  `static final IdErrorCode`
  `EMAIL_VERIFICATION_NONEXISTENT`
  An attempt was made to reference a nonexistent email verification token.
  `static final IdErrorCode`
  `HTTP_ERROR`
  The server returned an error code for an HTTP request.
  `static final IdErrorCode`
  `HTTP_METHOD_ERROR`
  The wrong HTTP method was used.
  `static final IdErrorCode`
  `HTTP_PARAMETER_INVALID`
  An HTTP parameter had an invalid value.
  `static final IdErrorCode`
  `HTTP_PARAMETER_NONEXISTENT`
  An HTTP parameter was required but missing.
  `static final IdErrorCode`
  `HTTP_SIZE_LIMIT`
  An HTTP request exceeded the size limit.
  `static final IdErrorCode`
  `IO_ERROR`
  An internal I/O error.
  `static final IdErrorCode`
  `MAIL_SYSTEM_FAILURE`
  The mail system failed.
  `static final IdErrorCode`
  `NO_SUPPORTED_PROTOCOLS`
  The client and server have no supported protocols in common.
  `static final IdErrorCode`
  `NOT_LOGGED_IN`
  The client is not logged in.
  `static final IdErrorCode`
  `OPERATION_NOT_PERMITTED`
  A generic "operation not permitted" error.
  `static final IdErrorCode`
  `PASSWORD_ERROR`
  A problem occurred with the format of a password (such as an unsupported password algorithm).
  `static final IdErrorCode`
  `PASSWORD_RESET_MISMATCH`
  The password and confirmation do not match.
  `static final IdErrorCode`
  `PASSWORD_RESET_NONEXISTENT`
  A password reset token does not exist.
  `static final IdErrorCode`
  `PROTOCOL_ERROR`
  A client sent a broken message of some kind.
  `static final IdErrorCode`
  `RATE_LIMIT_EXCEEDED`
  A rate limit was exceeded.
  `static final IdErrorCode`
  `SECURITY_POLICY_DENIED`
  An action was denied by the security policy.
  `static final IdErrorCode`
  `SERIALIZATION_ERROR`
  An internal serialization error.
  `static final IdErrorCode`
  `SQL_ERROR`
  An internal SQL database error.
  `static final IdErrorCode`
  `SQL_ERROR_FOREIGN_KEY`
  A violation of an SQL foreign key integrity constraint.
  `static final IdErrorCode`
  `SQL_ERROR_UNIQUE`
  A violation of an SQL uniqueness constraint.
  `static final IdErrorCode`
  `SQL_ERROR_UNSUPPORTED_QUERY_CLASS`
  An attempt was made to use a query class that is unsupported.
  `static final IdErrorCode`
  `SQL_REVISION_ERROR`
  An internal SQL database error relating to database revisioning.
  `static final IdErrorCode`
  `TRASCO_ERROR`
  An error raised by the Trasco database versioning library.
  `static final IdErrorCode`
  `USER_DUPLICATE`
  An attempt was made to create a user that already exists.
  `static final IdErrorCode`
  `USER_DUPLICATE_ID`
  An attempt was made to create a user that already exists (ID conflict).
  `static final IdErrorCode`
  `USER_DUPLICATE_ID_NAME`
  An attempt was made to create a user that already exists (ID name conflict).
  `static final IdErrorCode`
  `USER_NONEXISTENT`
  An attempt was made to reference a user that does not exist.
  `static final IdErrorCode`
  `USER_UNSET`
  An attempt was made to perform an operation that requires a user.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLOSED_FOR_MAINTENANCE

    public static final IdErrorCode CLOSED_FOR_MAINTENANCE
    The server is closed for maintenance.

  - ### RATE_LIMIT_EXCEEDED

    public static final IdErrorCode RATE_LIMIT_EXCEEDED
    A rate limit was exceeded.

  - ### PROTOCOL_ERROR

    public static final IdErrorCode PROTOCOL_ERROR
    A client sent a broken message of some kind.

  - ### BANNED

    public static final IdErrorCode BANNED
    A user or admin is banned.

  - ### AUTHENTICATION_ERROR

    public static final IdErrorCode AUTHENTICATION_ERROR
    Authenticating a user or admin failed.

  - ### IO_ERROR

    public static final IdErrorCode IO_ERROR
    An internal I/O error.

  - ### SERIALIZATION_ERROR

    public static final IdErrorCode SERIALIZATION_ERROR
    An internal serialization error.

  - ### TRASCO_ERROR

    public static final IdErrorCode TRASCO_ERROR
    An error raised by the Trasco database versioning library.

  - ### SQL_ERROR

    public static final IdErrorCode SQL_ERROR
    An internal SQL database error.

  - ### SQL_REVISION_ERROR

    public static final IdErrorCode SQL_REVISION_ERROR
    An internal SQL database error relating to database revisioning.

  - ### SQL_ERROR_FOREIGN_KEY

    public static final IdErrorCode SQL_ERROR_FOREIGN_KEY
    A violation of an SQL foreign key integrity constraint.

  - ### SQL_ERROR_UNIQUE

    public static final IdErrorCode SQL_ERROR_UNIQUE
    A violation of an SQL uniqueness constraint.

  - ### SQL_ERROR_UNSUPPORTED_QUERY_CLASS

    public static final IdErrorCode SQL_ERROR_UNSUPPORTED_QUERY_CLASS
    An attempt was made to use a query class that is unsupported.

  - ### OPERATION_NOT_PERMITTED

    public static final IdErrorCode OPERATION_NOT_PERMITTED
    A generic "operation not permitted" error.

  - ### SECURITY_POLICY_DENIED

    public static final IdErrorCode SECURITY_POLICY_DENIED
    An action was denied by the security policy.

  - ### HTTP_METHOD_ERROR

    public static final IdErrorCode HTTP_METHOD_ERROR
    The wrong HTTP method was used.

  - ### HTTP_PARAMETER_NONEXISTENT

    public static final IdErrorCode HTTP_PARAMETER_NONEXISTENT
    An HTTP parameter was required but missing.

  - ### HTTP_PARAMETER_INVALID

    public static final IdErrorCode HTTP_PARAMETER_INVALID
    An HTTP parameter had an invalid value.

  - ### HTTP_SIZE_LIMIT

    public static final IdErrorCode HTTP_SIZE_LIMIT
    An HTTP request exceeded the size limit.

  - ### HTTP_ERROR

    public static final IdErrorCode HTTP_ERROR
    The server returned an error code for an HTTP request.

  - ### USER_DUPLICATE

    public static final IdErrorCode USER_DUPLICATE
    An attempt was made to create a user that already exists.

  - ### USER_DUPLICATE_ID

    public static final IdErrorCode USER_DUPLICATE_ID
    An attempt was made to create a user that already exists (ID conflict).

  - ### USER_DUPLICATE_ID_NAME

    public static final IdErrorCode USER_DUPLICATE_ID_NAME
    An attempt was made to create a user that already exists (ID name conflict).

  - ### EMAIL_DUPLICATE

    public static final IdErrorCode EMAIL_DUPLICATE
    An attempt was made to create a user/admin that already exists (Email conflict).

  - ### USER_NONEXISTENT

    public static final IdErrorCode USER_NONEXISTENT
    An attempt was made to reference a user that does not exist.

  - ### USER_UNSET

    public static final IdErrorCode USER_UNSET
    An attempt was made to perform an operation that requires a user.

  - ### PASSWORD_ERROR

    public static final IdErrorCode PASSWORD_ERROR
    A problem occurred with the format of a password (such as an unsupported password algorithm).

  - ### ADMIN_DUPLICATE

    public static final IdErrorCode ADMIN_DUPLICATE
    An attempt was made to create a admin that already exists.

  - ### ADMIN_DUPLICATE_ID

    public static final IdErrorCode ADMIN_DUPLICATE_ID
    An attempt was made to create a admin that already exists (ID conflict).

  - ### ADMIN_DUPLICATE_ID_NAME

    public static final IdErrorCode ADMIN_DUPLICATE_ID_NAME
    An attempt was made to create a admin that already exists (ID name conflict).

  - ### ADMIN_NONEXISTENT

    public static final IdErrorCode ADMIN_NONEXISTENT
    An attempt was made to reference a admin that does not exist.

  - ### ADMIN_UNSET

    public static final IdErrorCode ADMIN_UNSET
    An attempt was made to perform an operation that requires an admin.

  - ### ADMIN_OR_USER_UNSET

    public static final IdErrorCode ADMIN_OR_USER_UNSET
    An attempt was made to perform an operation that requires an admin or user.

  - ### ADMIN_NOT_INITIAL

    public static final IdErrorCode ADMIN_NOT_INITIAL
    An attempt was made to create an initial admin in a database, but a admin already existed.

  - ### EMAIL_VERIFICATION_NONEXISTENT

    public static final IdErrorCode EMAIL_VERIFICATION_NONEXISTENT
    An attempt was made to reference a nonexistent email verification token.

  - ### EMAIL_VERIFICATION_DUPLICATE

    public static final IdErrorCode EMAIL_VERIFICATION_DUPLICATE
    An attempt was made to create a email verification token that already exists.

  - ### EMAIL_VERIFICATION_FAILED

    public static final IdErrorCode EMAIL_VERIFICATION_FAILED
    An email verification failed for any reason.

  - ### EMAIL_NONEXISTENT

    public static final IdErrorCode EMAIL_NONEXISTENT
    An attempt was made to reference an email that does not exist.

  - ### EMAIL_ONE_REQUIRED

    public static final IdErrorCode EMAIL_ONE_REQUIRED
    An attempt was made to remove the last email address from a user.

  - ### MAIL_SYSTEM_FAILURE

    public static final IdErrorCode MAIL_SYSTEM_FAILURE
    The mail system failed.

  - ### NO_SUPPORTED_PROTOCOLS

    public static final IdErrorCode NO_SUPPORTED_PROTOCOLS
    The client and server have no supported protocols in common.

  - ### NOT_LOGGED_IN

    public static final IdErrorCode NOT_LOGGED_IN
    The client is not logged in.

  - ### PASSWORD_RESET_NONEXISTENT

    public static final IdErrorCode PASSWORD_RESET_NONEXISTENT
    A password reset token does not exist.

  - ### PASSWORD_RESET_MISMATCH

    public static final IdErrorCode PASSWORD_RESET_MISMATCH
    The password and confirmation do not match.

  - ### API_MISUSE_ERROR

    public static final IdErrorCode API_MISUSE_ERROR
    An API is being called incorrectly.